/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>
#include "rtc.h"

/* Alarm structure declaration */
RTC_DATE_TIME alarmTimeDate;

/* Alarm flag initialization */
//uint32 alarmFlag = 0;

void EnableRtcOperation(void)
{
    /* Switch LFCLK source from ILO to WCO. */
    CySysClkSetLfclkSource(CY_SYS_CLK_LFCLK_SRC_WCO);
    
    /* Configure COUNTER0 to generate interrupt every second. */
    CySysWdtDisable(CY_SYS_WDT_COUNTER0_MASK);
    CySysWdtSetClearOnMatch(CY_SYS_WDT_COUNTER0, 1u);
    CySysWdtSetMatch(CY_SYS_WDT_COUNTER0, LFCLK_CYCLES_PER_SECOND);
    CySysWdtEnable(CY_SYS_WDT_COUNTER0_MASK);
    
    /* Eegister UpdateTimeIsrHandler() by the COUNTER0. */
    CySysWdtSetInterruptCallback(CY_SYS_WDT_COUNTER0, UpdateTimeIsrHandler);
    
    /* Enable the COUNTER0 ISR handler. */
    CySysWdtEnableCounterIsr(CY_SYS_WDT_COUNTER0);
    
    /* Configure the LFCLK_Out pin to drive it by LFCLK. */
    LFCLK_Out_SetDriveMode(LFCLK_Out_DM_STRONG);
}

void UpdateTimeIsrHandler(void)
{
    /* Toggle pin state */
    LED_WdtIsr_Write((uint8)~(LED_WdtIsr_Read()));
    RTC_Update();
}


/*******************************************************************************
* Function Name: AlarmIsrHandler
********************************************************************************
* Summary:
*  The interrupt handler for Alarm interrupts. Toggles the LED_WdtInt pin.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void AlarmIsrHandler(void)
{
    alarmFlag = 1u;

    /* Toggle pin state */
     LED_Alarm_Write((uint8)~(LED_Alarm_Read()));

    /* Clear interrupts state */
    RTC_ClearAlarmStatus();
}



/* [] END OF FILE */
